'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

require('../../styles/components/large-card.css');

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

var _LargeCardAction = require('./LargeCardAction');

var _LargeCardAction2 = _interopRequireDefault(_LargeCardAction);

var _LargeCardClose = require('./LargeCardClose');

var _LargeCardClose2 = _interopRequireDefault(_LargeCardClose);

var _LargeCardContent = require('./LargeCardContent');

var _LargeCardContent2 = _interopRequireDefault(_LargeCardContent);

var _LargeCardGutter = require('./LargeCardGutter');

var _LargeCardGutter2 = _interopRequireDefault(_LargeCardGutter);

var _LargeCardKeyValue = require('./LargeCardKeyValue');

var _LargeCardKeyValue2 = _interopRequireDefault(_LargeCardKeyValue);

var _LargeCardRecentList = require('./LargeCardRecentList');

var _LargeCardRecentList2 = _interopRequireDefault(_LargeCardRecentList);

var _LargeCardStat = require('./LargeCardStat');

var _LargeCardStat2 = _interopRequireDefault(_LargeCardStat);

var _LargeCardTitle = require('./LargeCardTitle');

var _LargeCardTitle2 = _interopRequireDefault(_LargeCardTitle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LargeCard = function LargeCard(props) {
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(
    _flexboxReact2.default,
    _extends({}, externalAttributes, {
      className: 'octagon large_card is-fullview-open-' + props.showCard + ' ' + props.className,
      style: props.style
    }),
    _react2.default.createElement(
      _flexboxReact2.default,
      {
        flexDirection: 'row',
        flexGrow: 3,
        className: 'large_card__container ' + (props.framed ? 'framed' : '')
      },
      props.children
    )
  );
};

LargeCard.Action = _LargeCardAction2.default;
LargeCard.Close = _LargeCardClose2.default;
LargeCard.Gutter = _LargeCardGutter2.default;
LargeCard.Content = _LargeCardContent2.default;
LargeCard.KeyValue = _LargeCardKeyValue2.default;
LargeCard.RecentList = _LargeCardRecentList2.default;
LargeCard.Title = _LargeCardTitle2.default;
LargeCard.Stat = _LargeCardStat2.default;

LargeCard.defaultProps = {
  className: '',
  framed: false,
  showCard: false
};
LargeCard.propTypes = {
  className: _propTypes2.default.string,
  framed: _propTypes2.default.bool,
  showCard: _propTypes2.default.bool
};
exports.default = LargeCard;
//# sourceMappingURL=LargeCard.js.map