'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _palette = require('../../palette');

var _palette2 = _interopRequireDefault(_palette);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var STATE_COLOR_MAP = {
  CRITICAL: 'critical',
  WARNING: 'warning',
  NORMAL: 'normal',
  BLUE: 'blue' // @deprecated
};
var LargeCardGutter = function LargeCardGutter(props) {
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  var color = '';
  switch (props.color) {
    case STATE_COLOR_MAP.CRITICAL:
      color = _palette2.default.red;
      break;
    case STATE_COLOR_MAP.WARNING:
      color = _palette2.default.yellow;
      break;
    case STATE_COLOR_MAP.NORMAL:
      color = _palette2.default.blue;
      break;
    case STATE_COLOR_MAP.BLUE:
      color = _palette2.default.blue;
      break;
    default:
      color = props.color;
  }
  return _react2.default.createElement(_flexboxReact2.default, _extends({}, externalAttributes, {
    className: 'fullview__left_border ' + (props.className || ''),
    width: '9px',
    style: { backgroundColor: color }
  }));
};

LargeCardGutter.defaultProps = {};

LargeCardGutter.propTypes = {
  /** color of gutter. use `LargeCardGutter.STATE_COLOR_MAP` or any standard web color string  */
  color: _propTypes2.default.string
};
LargeCardGutter.STATE_COLOR_MAP = STATE_COLOR_MAP;

exports.default = LargeCardGutter;
//# sourceMappingURL=LargeCardGutter.js.map