'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LargeCardKeyValue = function LargeCardKeyValue(props) {
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);

  var label = props.label,
      value = props.value,
      _props$renderValue = props.renderValue,
      renderValue = _props$renderValue === undefined ? defaultRenderValue : _props$renderValue;


  return _react2.default.createElement(
    'div',
    _extends({}, externalAttributes, { className: 'summary_info ' + props.className }),
    _react2.default.createElement(
      'span',
      { className: 'label' },
      label
    ),
    _react2.default.createElement(
      'span',
      { className: 'count' },
      renderValue(value)
    )
  );
};

LargeCardKeyValue.defaultProps = {
  label: '',
  value: 0
};

LargeCardKeyValue.propTypes = {
  label: _propTypes2.default.string,
  value: _propTypes2.default.number.isRequired,
  renderValue: _propTypes2.default.func
};

function defaultRenderValue(value) {
  return value.toLocaleString(navigator.language, { minimumFractionDigits: 0 });
}
exports.default = LargeCardKeyValue;
//# sourceMappingURL=LargeCardKeyValue.js.map