'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LargeCardRecentList = function LargeCardRecentList(props) {
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(
    _flexboxReact2.default,
    _extends({}, externalAttributes, { flexDirection: 'column', flexGrow: 1 }),
    _react2.default.createElement(
      'h4',
      { className: 'label' },
      'Recent'
    ),
    props.items.map(function (item) {
      var icon = '';
      switch (item.state) {
        case 'warning':
          icon = 'icon_error-triangle_alt';
          break;
        case 'critical':
          icon = 'icon_error-circle_alt';
          break;
        default:
          icon = 'icon_check_alt2';
      }
      return _react2.default.createElement(
        _flexboxReact2.default,
        {
          key: item.id,
          flexDirection: 'row',
          className: 'recent_list-' + item.state + ' recent__activity__row'
        },
        _react2.default.createElement(
          _flexboxReact2.default,
          {
            className: 'recent_list-' + item.state,
            alignItems: 'center',
            marginRight: '20px'
          },
          _react2.default.createElement(_semanticUiReact.Icon, { className: 'ei ' + icon + ' text-large' })
        ),
        _react2.default.createElement(
          _flexboxReact2.default,
          {
            className: 'text-uppercase text-small recent_list-' + item.state,
            alignItems: 'center',
            marginRight: '20px'
          },
          item.status
        ),
        _react2.default.createElement(
          _flexboxReact2.default,
          {
            className: 'text-uppercase text-small recent_list-' + item.state,
            alignItems: 'center'
          },
          item.date
        )
      );
    })
  );
};

LargeCardRecentList.defaultProps = {};

LargeCardRecentList.propTypes = {
  items: _propTypes2.default.array
};

exports.default = LargeCardRecentList;
//# sourceMappingURL=LargeCardRecentList.js.map