'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _MicroCardContentStatus = require('./MicroCardContentStatus');

var _MicroCardContentStatus2 = _interopRequireDefault(_MicroCardContentStatus);

var _MicroCardContentMessage = require('./MicroCardContentMessage');

var _MicroCardContentMessage2 = _interopRequireDefault(_MicroCardContentMessage);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MicroCardContent = function MicroCardContent(props) {
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(
    _flexboxReact2.default,
    {
      flexDirection: 'column',
      paddingBottom: '10px',
      paddingLeft: '10px',
      paddingTop: '5px'
    },
    props.title ? _react2.default.createElement(
      _flexboxReact2.default,
      _extends({}, externalAttributes, {
        className: 'box__header ' + props.className
      }),
      props.title
    ) : '',
    _react2.default.createElement(
      _flexboxReact2.default,
      { flexGrow: 2 },
      props.children
    )
  );
};

MicroCardContent.Status = _MicroCardContentStatus2.default;
MicroCardContent.Message = _MicroCardContentMessage2.default;

MicroCardContent.defaultProps = {
  title: ''
};

MicroCardContent.propTypes = {
  title: _propTypes2.default.string
};

exports.default = MicroCardContent;
//# sourceMappingURL=MicroCardContent.js.map