'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

var _alertIcon = require('../../assets/alert-icon.svg');

var _alertIcon2 = _interopRequireDefault(_alertIcon);

var _warningYellow = require('../../assets/warning-yellow.svg');

var _warningYellow2 = _interopRequireDefault(_warningYellow);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MicroCardContentStatus = function MicroCardContentStatus(props) {
  var icon = '';

  switch (props.status) {
    case 'critical':
      icon = _alertIcon2.default;
      break;
    case 'warning':
      icon = _warningYellow2.default;
      break;
    default:
      icon = '';
  }
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(
    _flexboxReact2.default,
    { marginRight: '5px' },
    _react2.default.createElement('img', _extends({}, externalAttributes, {
      className: 'microcard__stateIcon ' + props.className,
      src: icon,
      alt: 'icon'
    }))
  );
};

MicroCardContentStatus.defaultProps = {
  status: 'critical'
};

MicroCardContentStatus.propTypes = {
  status: _propTypes2.default.string
};

exports.default = MicroCardContentStatus;
//# sourceMappingURL=MicroCardContentStatus.js.map