'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _palette = require('../../palette');

var _palette2 = _interopRequireDefault(_palette);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MicroCardGutter = function MicroCardGutter(props) {
  var color = '';
  switch (props.color) {
    case 'critical':
      color = _palette2.default.red;
      break;
    case 'warning':
      color = _palette2.default.yellow;
      break;
    case 'normal':
      color = _palette2.default.blue;
      break;
    case 'blue':
      color = _palette2.default.blue;
      break;
    default:
      color = props.color;
  }

  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(_flexboxReact2.default, _extends({}, externalAttributes, {
    className: 'microcard state__indicator ' + props.className,
    style: { backgroundColor: color }
  }));
};

MicroCardGutter.defaultProps = {
  color: '#FFFFFF'
};

MicroCardGutter.propTypes = {
  color: _propTypes2.default.string
};

exports.default = MicroCardGutter;
//# sourceMappingURL=MicroCardGutter.js.map