'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ThinCardDrawer = function ThinCardDrawer(props) {
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(
    'div',
    externalAttributes,
    !props.expanded ? _react2.default.createElement(
      _flexboxReact2.default,
      {
        className: 'drawer',
        flexDirection: 'row',
        onClick: props.expandGroupToggle
      },
      _react2.default.createElement(
        _flexboxReact2.default,
        { className: 'drawer__expand_button' },
        _react2.default.createElement(
          _flexboxReact2.default,
          {
            alignItems: 'center',
            className: 'drawer__button',
            flexGrow: 2
          },
          'EXPAND'
        ),
        _react2.default.createElement(
          _flexboxReact2.default,
          null,
          _react2.default.createElement(_semanticUiReact.Icon, { className: 'ei arrow_carrot-down text-large' })
        )
      ),
      _react2.default.createElement(_flexboxReact2.default, { className: 'drawer__side', flexGrow: 3 })
    ) : _react2.default.createElement(
      'div',
      null,
      props.children,
      _react2.default.createElement(
        _flexboxReact2.default,
        {
          className: 'drawer',
          flexDirection: 'row',
          onClick: props.expandGroupToggle
        },
        _react2.default.createElement(
          _flexboxReact2.default,
          { className: 'drawer__collapse_button' },
          _react2.default.createElement(
            _flexboxReact2.default,
            {
              alignItems: 'center',
              className: 'drawer__button',
              flexGrow: 2
            },
            'COLLAPSE'
          ),
          _react2.default.createElement(
            _flexboxReact2.default,
            null,
            _react2.default.createElement(_semanticUiReact.Icon, { className: 'ei arrow_carrot-up text-large' })
          )
        ),
        _react2.default.createElement(_flexboxReact2.default, { className: 'drawer__side_blue', flexGrow: 3 })
      )
    )
  );
};

ThinCardDrawer.defaultProps = {
  expanded: false
};
ThinCardDrawer.propTypes = {
  expanded: _propTypes2.default.bool,
  expandGroupToggle: _propTypes2.default.func
};
exports.default = ThinCardDrawer;
//# sourceMappingURL=ThinCardDrawer.js.map