'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

var _ThinCardWidgetLabel = require('./ThinCardWidgetLabel');

var _ThinCardWidgetLabel2 = _interopRequireDefault(_ThinCardWidgetLabel);

var _ThinCardWidgetValue = require('./ThinCardWidgetValue');

var _ThinCardWidgetValue2 = _interopRequireDefault(_ThinCardWidgetValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ThinCardWidget = function ThinCardWidget(props) {
  var borderClass = '';
  if (props.borderLeft) {
    borderClass += 'borderLeft ';
  }
  if (props.borderRight) {
    borderClass += 'borderRight ';
  }

  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(
    _flexboxReact2.default,
    _extends({}, externalAttributes, {
      onClick: props.onClick,
      alignItems: 'center',
      className: borderClass + ' ' + props.className,
      paddingRight: '15px',
      paddingLeft: '15px',
      marginBottom: '10px',
      marginTop: '10px'
    }),
    props.children
  );
};
ThinCardWidget.Label = _ThinCardWidgetLabel2.default;
ThinCardWidget.Value = _ThinCardWidgetValue2.default;

ThinCardWidget.defaultProps = {
  borderLeft: false,
  borderRight: false
};

ThinCardWidget.propTypes = {
  borderLeft: _propTypes2.default.bool,
  borderRight: _propTypes2.default.bool,
  className: _propTypes2.default.string,
  onClick: _propTypes2.default.func
};

exports.default = ThinCardWidget;
//# sourceMappingURL=ThinCardWidget.js.map