'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = filterAttributesFromProps;

var _pickBy = require('lodash/pickBy');

var _pickBy2 = _interopRequireDefault(_pickBy);

var _some = require('lodash/some');

var _some2 = _interopRequireDefault(_some);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var allowedExternalAttributes = [/^aria-.*$/, /^className$/, /^data-.*$/, /^id$/, /^name$/, /^on.*$/, /^style.*$/];

function filterAttributesFromProps(props) {
  return (0, _pickBy2.default)(props, function (propValue, propName) {
    return (0, _some2.default)(allowedExternalAttributes, function (allowedAttributeName) {
      return propName.match(allowedAttributeName);
    });
  });
}
//# sourceMappingURL=externalAttributeFilter.js.map